## jtreg6 6+1

=== debian/changelog ===
jtreg6 (6+1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version, packaged as separate source and binary.
    OpenJDK 17 and 18 now require jtreg 6.  OpenJDK 11 still needs jtreg 5.x.
  * Add myself as uploader.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Jun 2021 13:12:35 +0200

jtreg (5.1-b01-2) unstable; urgency=medium

  * Team upload.

  [ Tiago Stürmer Daitx ]
  * d/p/launcher.patch: set JTREG_HOME earlier. (Closes: #965047,
    LP: #1887587).

  [ tony mancill ]
  * Use debhelper-compat 13
  * Use https URL for Homepage in debian/control
  * Freshen years in debian/copyright and update Source: link
  * Set "Rules-Requires-Root: no" in debian/control

 -- tony mancill <tmancill@debian.org>  Tue, 14 Jul 2020 21:28:47 -0700

jtreg (5.1-b01-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Switch to debhelper level 12

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 10 Jun 2020 21:12:36 +0200

jtreg (5.0-b01-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Provide jar symlinks in /usr/share/jtreg/share/java as well.
    Allows openjdk configuration --with-jtreg=/usr/share/jtreg with the same
    patchset for all release.
  * Provide additional jar symlinks for jh.jar and hamcrest-core.jar.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Apr 2020 12:31:42 +0200

jtreg (5.0-b01-2) unstable; urgency=medium

  * Team upload.
  * Install jtreg under /usr/share/jtreg and use it as the default JT_HOME path

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 13 Apr 2020 00:28:39 +0200

jtreg (5.0-b01-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Depend on libjtharness-java (>= 6.0)
  * Standards-Version updated to 4.5.0

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 05 Apr 2020 10:49:05 +0200

jtreg (4.2-b16-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Track the new releases from GitHub
  * Standards-Version updated to 4.4.1

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 12 Jan 2020 00:31:57 +0100

jtreg (4.2-b14-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.3.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 25 Feb 2019 12:44:58 +0100

jtreg (4.2-b13-2) unstable; urgency=medium

  * Team upload.

  [ Tiago Stürmer Daitx ]
  * Use release instead of source/target. (Closes: #913853, LP: #1803628)

  [ tony mancill ]
  * Bump Standards-Version to 4.2.1

 -- tony mancill <tmancill@debian.org>  Tue, 20 Nov 2018 20:49:59 -0800

jtreg (4.2-b13-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.2.0
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 02 Aug 2018 09:16:44 +0200

jtreg (4.2-b10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 20 Nov 2017 13:37:32 +0100

jtreg (4.2-b09-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 14 Nov 2017 10:57:23 +0100

jtreg (4.2-b08-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 13 Sep 2017 12:05:52 +0200

jtreg (4.2-b07-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 20 Jun 2017 10:54:14 +0200

jtreg (4.2-b05-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 20 Jan 2017 11:13:11 +0100

jtreg (4.2-b04-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Replaced the override_dh_auto_clean target with debian/clean
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 08 Dec 2016 22:02:10 +0100

jtreg (4.2-b03-1) unstable; urgency=medium

  * Upload to unstable

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 06 Sep 2016 15:06:20 +0200

jtreg (4.2-b03-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - No longer install the FAQ (removed upstream)

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 04 Sep 2016 23:38:17 +0200

jtreg (4.2-b02-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 09 May 2016 22:47:48 +0200

jtreg (4.2-b01-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 26 Apr 2016 17:26:18 +0200

jtreg (4.2-b01-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 3.9.8 (no changes)
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 20 Apr 2016 13:14:17 +0200

jtreg (4.1-b12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated the path of the installed files
  * Changed the value of the jtreg-BuildDate attribute in the manifest
    with the date from debian/changelog to make the build reproducible.
  * Standards-Version updated to 3.9.6 (no changes)
  * Fixed debian/watch
  * debian/copyright: Added the missing license shortname

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 18 Jun 2015 18:39:02 +0200

jtreg (4.1-b09-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Replaced JTREG_HOME with JT_HOME in the launcher scripts.
    (Closes: #754276)
  * Moved the package to Git

