=== debian/control ===
Source: jtreg6
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Guillaume Mazoyer <respawneral@gmail.com>, Matthias Klose <doko@ubuntu.com>
Build-Depends:
 ant,
 debhelper (>= 11),
 default-jdk,
 help2man,
 javahelp2,
 javahelper,
 libjtharness-java (>= 6.0),
 libxalan2-java,
 libhamcrest-java,
 testng
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/java-team/jtreg.git
Vcs-Browser: https://salsa.debian.org/java-team/jtreg
Homepage: https://openjdk.java.net/jtreg
Rules-Requires-Root: no

Package: jtreg6
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends},
 javahelp2,
 libjtharness-java (>= 6.0),
 libhamcrest-java,
 libxalan2-java
Recommends: testng
Conflicts: jtreg
Description: Regression Test Harness for the OpenJDK platform
 jtreg is the test harness used by the OpenJDK test framework.
 This framework is intended primarily for regression tests.
 It can also be used for unit tests, functional tests, and even simple product
 tests -- in other words, just about any type of test except a conformance test,
 which belong in a TCK.
