## jtreg6 6.1%2B2

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,9 @@
 
 JAVA_HOME = /usr/lib/jvm/default-java
 
-VERSION      := $(shell dpkg-parsechangelog --show-field Version | sed 's/-.*//')
-BUILD_NUMBER := $(shell dpkg-parsechangelog --show-field Version | sed 's/.*-\(b[0-9]*\).*/\1/')
+# version string has the form 6.1+N-D, the Debian release is not passed into the build
+VERSION      := $(shell dpkg-parsechangelog --show-field Version | sed 's/+.*//')
+BUILD_NUMBER := $(shell dpkg-parsechangelog --show-field Version | sed 's/.*+\([0-9]*\).*/\1/')
 DATE         := $(shell dpkg-parsechangelog --show-field Date)
 
 %:
@@ -18,6 +19,7 @@
 	    -Djunit.jar=/usr/share/java/junit4.jar \
 	    -Dtestng.jar=/usr/share/java/testng.jar \
 	    -Djavatest.jar=/usr/share/java/javatest.jar \
+	    -Dasmtools.jar=/usr/share/java/asmtools.jar \
 	    -Dbuild.date.time='$(DATE)' \
 	    -Dbuild.version=$(VERSION) \
 	    -Dbuild.milestone=src \
