=== debian/changelog ===
jtreg6 (6.1+2-1ubuntu1~22.04) jammy-security; urgency=medium

  * Upload to Ubuntu 22.04.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 10 May 2023 07:32:19 +1200

jtreg6 (6.1+2-1ubuntu1) lunar; urgency=medium

  * Add asmtools dependency (LP: #2015011).
  * debian/control: Use testng 7 (LP: #2012320).
  * debian/jtreg6.links: Fix hamcrest.jar link (LP: #2015010).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 27 Mar 2023 14:59:03 +1300

jtreg6 (6.1+2-1) unstable; urgency=medium

  * New upstream version.
  * Fix passing the version number to the build.

 -- Matthias Klose <doko@debian.org>  Wed, 20 Jul 2022 12:40:06 +0200

jtreg6 (6+1-2) unstable; urgency=medium

  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 20 Jul 2022 11:35:54 +0200
