=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: jtreg6
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Guillaume Mazoyer <respawneral@gmail.com>, Matthias Klose <doko@ubuntu.com>
 Build-Depends:
  ant,
@@ -13,8 +14,10 @@
  libjtharness-java (>= 6.0),
  libxalan2-java,
  libhamcrest-java,
- testng
-Standards-Version: 4.5.1
+ libtestng7-java,
+ libasmtools-java,
+ libjcommander-java
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/java-team/jtreg.git
 Vcs-Browser: https://salsa.debian.org/java-team/jtreg
 Homepage: https://openjdk.java.net/jtreg
@@ -28,9 +31,12 @@
  javahelp2,
  libjtharness-java (>= 6.0),
  libhamcrest-java,
- libxalan2-java
-Recommends: testng
-Conflicts: jtreg
+ libxalan2-java,
+ libasmtools-java,
+ libtestng7-java,
+ libjcommander-java,
+ libslf4j-java
+Conflicts: jtreg, jtreg7
 Description: Regression Test Harness for the OpenJDK platform
  jtreg is the test harness used by the OpenJDK test framework.
  This framework is intended primarily for regression tests.
