## jtreg6 6.2%2B1

=== debian/changelog ===
jtreg6 (6.2+1-4) unstable; urgency=medium

  * Team upload
  * d/p/java21-*: cherry-pick upstream patches fixing Java 21 build
    warnings (Closes: #1057511).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 25 Jan 2024 17:22:22 +1300

jtreg6 (6.2+1-3) unstable; urgency=medium

  * Team upload.
  * Keep debhelper at 11, no need for newer versions, and not backport
    friendy.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Sep 2023 12:24:07 +0200

jtreg6 (6.2+1-2) unstable; urgency=medium

  * Team upload.
  * Apply reproducible builds patch (Closes: #1050944)
    Thank you to Chris Lamb and Vagrant Cascadian
  * Use debhelper-compat 13
  * Use DEB_VERSION_UPSTREAM to parse VERSION and BUILD_NUMBER in d/rules

 -- tony mancill <tmancill@debian.org>  Thu, 31 Aug 2023 22:16:15 -0700

jtreg6 (6.2+1-1) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * New upstream release
    - Refreshed the patches
  * Removed debian/orig-tar.sh and updated the watch file
  * Removed the gradle wrapper from the upstream tarball
  * Standards-Version updated to 4.6.2

  [ tony mancill ]
  * Update jtreg6 dependences for openjdk-11 and 17 (Closes: #1041282)
    Thank you to Vladimir Petko for the patch, which also
    Closes: #1036065, #1036066

 -- tony mancill <tmancill@debian.org>  Sun, 20 Aug 2023 19:52:35 -0700
