=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: jtreg6
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Guillaume Mazoyer <respawneral@gmail.com>, Matthias Klose <doko@ubuntu.com>
 Build-Depends:
  ant,
- debhelper (>= 11),
+ debhelper-compat (= 11),
  default-jdk,
  help2man,
  javahelp2,
@@ -16,8 +15,10 @@
  libhamcrest-java,
  libtestng7-java,
  libasmtools-java,
- libjcommander-java
-Standards-Version: 4.6.0
+ libjcommander-java,
+ libguice-java,
+ zip
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/java-team/jtreg.git
 Vcs-Browser: https://salsa.debian.org/java-team/jtreg
 Homepage: https://openjdk.java.net/jtreg
@@ -33,9 +34,9 @@
  libhamcrest-java,
  libxalan2-java,
  libasmtools-java,
- libtestng7-java,
  libjcommander-java,
  libslf4j-java
+Recommends: libtestng7-java
 Conflicts: jtreg, jtreg7
 Description: Regression Test Harness for the OpenJDK platform
  jtreg is the test harness used by the OpenJDK test framework.
