=== debian/changelog ===
jtreg6 (6.2+1-3~deb12u1) bookworm-security; urgency=medium

  * Rebuild latest jtreg6 from testing, needed for running the tests
    for the latest OpenJDK 17.x releases

 -- Moritz Mühlenhoff <jmm@debian.org>  Fri, 03 Nov 2023 16:35:31 +0100
