=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/openjdk/jtreg refs/tags/jtreg-?([\d\.\+]+(?:-b[0-9]+)?)
